org.eclipse.ui.preferences

## Interface IWorkbenchPreferenceContainer

    public interface IWorkbenchPreferenceContainer

IWorkbenchPreferenceContainer is the class that specifies the workbench specific preferences support.

Since:
  3.1

### Method Summary

All Methods Instance Methods Abstract Methods
`IWorkingCopyManager` `getWorkingCopyManager()` Get the working copy manager in use by this preference page container.
`boolean` `openPage(String preferencePageId, Object data)` Open the page specified in the org.eclipse.ui.preferencePage extension point with id pageId.
`void` `registerUpdateJob(Job job)` Register a job to be run after the container has been closed.

### Method Detail

#### openPage

    boolean openPage(String preferencePageId,
                     Object data)

Open the page specified in the org.eclipse.ui.preferencePage extension point with id pageId. Apply data to it when it is opened.

Parameters:
  `preferencePageId` - String the id specified for a page in the plugin.xml of its defining plug-in.
  `data` - The data to be applied to the page when it opens.
Returns:
  boolean `true` if the page was opened successfully and data was applied.

#### getWorkingCopyManager

    IWorkingCopyManager getWorkingCopyManager()

Get the working copy manager in use by this preference page container. This IWorkingCopyManager will have IWorkingCopyManager#applyChanges()

Returns:
  IWorkingCopyManager

#### registerUpdateJob

    void registerUpdateJob(Job job)

Register a job to be run after the container has been closed.

Parameters:
  `job` -